Bug 22416 - Search.t tests need adjustment for EasyAnalyticRecords syspref
Summary: Search.t tests need adjustment for EasyAnalyticRecords syspref
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 22140
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-26 14:31 UTC by Nick Clemens
Modified: 2019-05-27 12:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22416: (bug 22140 follow-up) Remove warnings in Search.t (980 bytes, patch)
2019-03-05 17:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-02-26 14:31:40 UTC
Bug 22140 added checking of the pref for searching, the tests don't fail but do complain about this

prove -v t/db_dependent/Search.t
Comment 1 Jonathan Druart 2019-03-05 17:31:02 UTC
Created attachment 86108 [details] [review]
Bug 22416: (bug 22140 follow-up) Remove warnings in Search.t

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 2 Jonathan Druart 2019-03-05 17:31:32 UTC
Trivial patch, sending to PQA.
Comment 3 Nick Clemens 2019-03-07 21:21:44 UTC
Awesome work all!

Pushed to master for 19.05
Comment 4 Martin Renvoize 2019-03-12 08:46:25 UTC
Pushed to 18.11.x for 18.11.04
Comment 5 Lucas Gass 2019-03-15 17:18:57 UTC
I did not backport 22140, not backing porting this one either since 18.05.x is missing the dependency.